Investors, warrants & staking
Get My Active Trading Plans
Returns the caller's active trading plans with sale-progress figures.
POSThttps://api.toku.com/tga/get-my-active-trading-plans
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/tga/get-my-active-trading-plans' \
--header 'Authorization: Bearer <token>'200 response
[
{
"tradingPlanID": "string",
"setUpDate": "string",
"grantName": "string",
"grantID": "string",
"token": "EURC",
"minSalePrice": "string",
"tokensUnderPlan": "string",
"percentageOfGrantAllocatedToPlan": "string",
"tokenSold": "string",
"percentOfPlanAllocatedToTokenSold": "string",
"averageSalePrice": "string",
"nextUnlockDate": "string",
"daysUntilNextUnlock": 0
}
]Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
anyanyResponse
200Successful response
tradingPlanIDstringrequiredsetUpDatestringrequiredgrantNamestringrequiredgrantIDstringrequiredtokenstringrequiredAvailable options: EURC, USDC, USDT
minSalePricestringrequiredtokensUnderPlanstringrequiredpercentageOfGrantAllocatedToPlanstringrequiredtokenSoldstringrequiredpercentOfPlanAllocatedToTokenSoldstringrequiredaverageSalePricestringrequirednextUnlockDatestringrequireddaysUntilNextUnlockintegerrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits